/*
 * Copyright 2016-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.nemo.model.common;

import java.beans.ConstructorProperties;
import java.io.Serializable;

/**
 * A name for a node instance.
 */
public class NodeName extends ObjectName implements Serializable {
    private static final long serialVersionUID = -6179698948999651772L;

    /**
     * Creates a new instance from a given value.
     *
     * @param value the value
     */
    @ConstructorProperties("value")
    public NodeName(String value) {
        super(value);
    }

    /**
     * Creates a new instance from object name.
     *
     * @param source object name
     */
    public NodeName(ObjectName source) {
        super(source);
    }
}

