package org.onosproject.nemo.model.object.node.instance;
import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.onosproject.nemo.model.common.PropertyName;

import com.google.common.testing.EqualsTester;

/**
 * Unit tests for {@link PropertyKey}.
 */
public class PropertyKeyTest {

    private static final String NAME = "SomeName";
    private static final String OTHER = "OtherName";
    private static final String NAME_ERROR_MSG = "name not set";

    private PropertyKey key;
    private PropertyKey copy;
    private PropertyKey diff;

    @Test
    public void fromPropertyName() {
        key = new PropertyKey(new PropertyName(NAME));
        assertEquals(NAME_ERROR_MSG, NAME, key.getPropertyName().getValue());
    }

    @Test
    public void copyConstructor() {
        key = new PropertyKey(new PropertyName(NAME));
        copy = new PropertyKey(key);
        new EqualsTester()
                .addEqualityGroup(key, copy)
                .testEquals();
    }

    @Test
    public void equality() {
        key = new PropertyKey(new PropertyName(NAME));
        copy = new PropertyKey(new PropertyName(NAME));
        diff = new PropertyKey(new PropertyName(OTHER));
        new EqualsTester()
                .addEqualityGroup(key, copy)
                .addEqualityGroup(diff)
                .testEquals();
    }
}